PanelBarTag (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.taglib.PanelBarTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PanelBarTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.PanelBarTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PanelBarTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`PanelBarTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setContentClass(javax.el.ValueExpression __contentClass)` Assigns one or more space-separated CSS class names to the component content Setter for contentClass
`void` | `setContentStyle(javax.el.ValueExpression __contentStyle)` CSS style rules to be applied to the component content Setter for contentStyle
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Assigns one or more space-separated CSS class names to the component header Setter for headerClass
`void` | `setHeaderClassActive(javax.el.ValueExpression __headerClassActive)` Assigns one or more space-separated CSS class names to the header of the active component item Setter for headerClassActive
`void` | `setHeaderStyle(javax.el.ValueExpression __headerStyle)` CSS style rules to be applied to the component header Setter for headerStyle
`void` | `setHeaderStyleActive(javax.el.ValueExpression __headerStyleActive)` CSS style rules to be applied to the header of the active component item Setter for headerStyleActive
`void` | `setHeight(javax.el.ValueExpression __height)` The height of the slide panel.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setOnitemchange(javax.el.ValueExpression __onitemchange)` The client-side script method to be called when a panel bar item is changed Setter for onitemchange
`void` | `setOnitemchanged(javax.el.ValueExpression __onitemchanged)` The client-side script method to be called after a panel bar item has been changed Setter for onitemchanged
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSelectedPanel(javax.el.ValueExpression __selectedPanel)` Attribure defines name of selected item Setter for selectedPanel
`void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setWidth(javax.el.ValueExpression __width)` The width of the slide panel.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### PanelBarTag

    public PanelBarTag()

Method Detail

### setContentClass

    public void setContentClass(javax.el.ValueExpression __contentClass)

  Assigns one or more space-separated CSS class names to the component content Setter for contentClass

  Parameters:
    `contentClass` - - new value

### setContentStyle

    public void setContentStyle(javax.el.ValueExpression __contentStyle)

  CSS style rules to be applied to the component content Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  Assigns one or more space-separated CSS class names to the component header Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setHeaderClassActive

    public void setHeaderClassActive(javax.el.ValueExpression __headerClassActive)

  Assigns one or more space-separated CSS class names to the header of the active component item Setter for headerClassActive

  Parameters:
    `headerClassActive` - - new value

### setHeaderStyle

    public void setHeaderStyle(javax.el.ValueExpression __headerStyle)

  CSS style rules to be applied to the component header Setter for headerStyle

  Parameters:
    `headerStyle` - - new value

### setHeaderStyleActive

    public void setHeaderStyleActive(javax.el.ValueExpression __headerStyleActive)

  CSS style rules to be applied to the header of the active component item Setter for headerStyleActive

  Parameters:
    `headerStyleActive` - - new value

### setHeight

    public void setHeight(javax.el.ValueExpression __height)

  The height of the slide panel. Might be defined as pixels or as percentage. Default value is "100%". Setter for height

  Parameters:
    `height` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setOnitemchange

    public void setOnitemchange(javax.el.ValueExpression __onitemchange)

  The client-side script method to be called when a panel bar item is changed Setter for onitemchange

  Parameters:
    `onitemchange` - - new value

### setOnitemchanged

    public void setOnitemchanged(javax.el.ValueExpression __onitemchanged)

  The client-side script method to be called after a panel bar item has been changed Setter for onitemchanged

  Parameters:
    `onitemchanged` - - new value

### setSelectedPanel

    public void setSelectedPanel(javax.el.ValueExpression __selectedPanel)

  Attribure defines name of selected item Setter for selectedPanel

  Parameters:
    `selectedPanel` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value of this component Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  The width of the slide panel. Might be defined as pixels or as percentage. Default value is "100%". Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.